Finds message feeds by creatorId and multiple conditions
curl --request GET \
--url https://apix.us.amity.co/api/v5/message-feeds/user/{creatorId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://apix.us.amity.co/api/v5/message-feeds/user/{creatorId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://apix.us.amity.co/api/v5/message-feeds/user/{creatorId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"messageFeeds": [
{
"messageFeedId": "a85dca058f5b585f86a29f14",
"channelId": "abc665aed9dbb8d036037eeb",
"channelPublicId": "abc665aed9dbb8d036037eeb",
"channelType": "community",
"name": "text",
"creatorId": "8aa313c8dbb00af911b07672",
"path": "12cba9779cc479e1fcefd1de/chat/f00ab16cbd27d4a9525aea6d/32b468ae0b1bd0cc7976719d/0a003482f0ac53a71e7c9239",
"childCount": 123,
"isDeleted": false,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"lastMessageId": "9530b11ec8de87db22b06b21",
"lastMessageTimestamp": "2023-11-07T05:31:56Z",
"editedAt": "2023-11-07T05:31:56Z",
"messagePreviewId": "<string>"
}
],
"messages": [
{
"messageId": "a85dca058f5b585f86a29f14",
"networkId": "9530b11ec8de87db22b06b27",
"channelId": "abc665aed9dbb8d036037eed",
"channelType": "community",
"messageFeedId": "507f191e810c19729de860ea",
"segment": 123,
"dataType": "text",
"data": {
"text": "test"
},
"fileId": "76bfe68974157a114053364d",
"thumbnailFileId": "76bfe68974157a114053364e",
"metadata": {
"refId": "d601c27c0675baa2103ec573"
},
"tags": [
"tag1",
"tag2"
],
"creatorId": "5349b4ddd2781d08c09890f4",
"mentionedUsers": [
{
"type": "user",
"userIds": [
"3cac302ab992aa17b215ba21",
"adb34ec2aeedca03a38e1d54"
]
}
],
"reactions": {
"like": 1,
"love": 2
},
"reactionCount": 123,
"parentId": "abc665afd7dbb8d036037eea",
"path": "12cba9779cc479e1fcefd1de/chat/f00ab16cbd27d4a9525aea6d/32b468ae0b1bd0cc7976719d/0a003482f0ac53a71e7c9239",
"flagCount": 123,
"childCount": 123,
"isDeleted": false,
"editedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"myReactions": [
"like",
"love"
]
}
],
"users": [
{
"userId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"_id": "<string>",
"path": "<string>",
"userInternalId": "<string>",
"userPublicId": "<string>",
"roles": [
"<string>"
],
"permissions": [],
"displayName": "<string>",
"profileHandle": "<string>",
"description": "<string>",
"avatarFileId": "<string>",
"avatarCustomUrl": "<string>",
"flagCount": 123,
"hashFlag": {
"bits": 123,
"hashes": 123,
"hash": [
"<string>"
]
},
"metadata": {},
"isGlobalBan": true,
"isBrand": true,
"isDeleted": true
}
]
}Message Feed
Finds message feeds by creatorId and multiple conditions
Conditions can be provided in query string
GET
/
api
/
v5
/
message-feeds
/
user
/
{creatorId}
Finds message feeds by creatorId and multiple conditions
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
ID of message feed creator Creator's ID
Maximum string length:
30Example:
"8aa313c8dbb00af911b07672"
Query Parameters
deleted flag of message feed
Pagination options
after: string(30) : return documents after this message feed id
before: string(30) : return documents before this message feed id
limit: number(0, 100) default=10
sortBy: lastContentTimestampDesc
token: string(100) : This token will be generated by server using encryption of after, before, limit, sortBy. It would be returned in response payload (paging.next, paging.previous). The caller can send only token for getting data from previous or next page easily.
Page options by using cursor
Show child attributes
Show child attributes
⌘I